Bug 68647 - long lines cause segmentation fault upon exit
Summary: long lines cause segmentation fault upon exit
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: jed (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218
TreeView+ depends on / blocked
 
Reported: 2002-07-12 01:07 UTC by Michael Schwendt
Modified: 2014-03-17 02:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-26 01:34:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2002-07-12 01:07:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
Moving through long lines of text that don't fit into the window size causes a
segmentation fault upon program exit.

Version-Release number of selected component (if applicable):
0.99.15-1

How reproducible:
Always

Steps to Reproduce:
In virtual console (or standard sized xterm):

1. jed /etc/screenrc
2. move cursor to line 53, first column
3. press cursor left to move it to end of line 52
4. press CTRL+X, CTRL+C to exit (or use menu)


Actual Results:  Segmentation fault


Expected Results:  No segfault.

Additional info:

As an alternative test-case, it is enough to scroll horizontally through
overlong lines. Any file with sufficiently long lines serves as a test-case.

Comment 1 Bill Nottingham 2002-07-26 01:34:06 UTC
Fixed with slang-1.4.5-11; the bug was actually there.

Comment 2 Jay Turner 2002-07-29 17:46:03 UTC
Fix confirmed with slang-1.4.5-11.


Note You need to log in before you can comment on or make changes to this bug.